html {
	padding: 0;
	margin: 0;
}

body {
	color: #E1B23A;
	background-color: #012a01;
	background: radial-gradient(circle,#2a4718 0%, #0e2506 100%);
	background-attachment: fixed;
	padding: 0;
	margin: 0;
	font-family: 'Atma', Consolas, Monaco, monospace, sans-serif;
	line-height: 1.4em;
	font-size: 1.2em;
}

main {
	max-width: 970px;
	display: block;
	margin: 0 auto 0 auto;
}

a {
	color: #E13A3A;
}

canvas {
	background-color: #fff7c4;
	background-image: url("./img/canvasbg.png");
	background-size: 48px 48px;
	display: block;
	margin: 0;
	border: 5px solid #E1B23A; 
	width: 960px;
	height: 480px;
	border-radius: 5px;
	touch-action: none;
	box-shadow: 0 0 20px 0 #000;
}

main p {
	margin-left: 0.5em;
	margin-right: 0.5em;
}

h1 {
	text-align: center;
	vertical-align: middle;
	padding: 0;
	margin: 3rem 1rem 3rem 1rem;
	text-shadow: 0 0 5px #000000FF;
}

footer {
	text-align: center;
	margin: 1em 0 1em 0;
}

*::selection {
  background-color: #E1B23A;
  color: #043904;
}

a::selection {
	background-color: #E13A3A;
	color: #043904;
}

h1::selection {
	text-shadow: none;
}

.menu {
	display: none;
	width: 700px;
	background-color: #062506;
	background-image: url("./img/bg.png");
	position: absolute;
	padding: 20px;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -55%);
	border: 5px solid #062506;
	border-radius: 5px;
	text-align: center;
	box-sizing: border-box;
}

.button {
	background-color: #E1B23A;
	color: #043904;
	padding: 5px 10px;
	border-radius: 5px;
	cursor: pointer;
	max-width: 150px;
	margin: auto;
}

.button:hover {
	background-color: #F1C24A;
}

.menuTitle {
	margin: 10px;
	font-size: 2em;
}

#info {
	margin-top: max(0px, 50vh - 350px);
	font-weight: bold;
	padding: 0.2em 0.5em 0.3em 0.5em;
	overflow: hidden;
}

.infoBlock {
	display: block;
	margin: 0 3px 0 0;
}

.popAnimation {
	animation: pop 0.2s ease-in-out 1 both;
}

.shakeAnimation {
	animation: shake 0.5s ease-in-out 1 both;
}

@media screen and (max-width: 970px) {
	main {
		padding: 0;
		margin: 0;
	}

	canvas {
		border-radius: 0;
	}

	#info {
		border-radius: 0;
	}

	h1 {
		margin-top: 2rem;
		margin-bottom: 1rem;
	}
}

@media screen and (max-width: 750px) {
	.menu {
		width: 100vw;
		left: 0;
		top: 0;
		border-left: 0;
		border-right: 0;
		border-radius: 0;
		transform: none;
	}
}

@keyframes pop {
	0%  {transform: scale(1);}
	50% {transform: scale(1.3);}
	100%{transform: scale(1);}
}

@keyframes shake {
	0%,  100%          {transform: translateX(0);}
	10%, 30%, 50%, 70% {transform: translateX(-5px);}
	20%, 40%, 60%      {transform: translateX(5px);}
	80%                {transform: translateX(3px);}
	90%                {transform: translateX(-3px);}
}
